
set( lareventdisplay_VERSION 07.01.05.01 )
set( lareventdisplay_UPS_VERSION v07_01_05_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcoreobj  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( hep_concurrency  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_root(  )
    find_ups_product( larcore v1_00_00 )
    find_ups_product( larcorealg  )
    find_ups_product( art  )
    find_ups_product( canvas_root_io  )
    find_ups_product( lardataobj  )
    find_ups_product( nusimdata  )
    find_ups_product( dk2nudata v01_05_01 )
    find_ups_product( lardataalg  )
    find_ups_product( lardata v1_00_00 )
    find_ups_product( nutools  )
    find_ups_product( genie  )
    find_ups_product( dk2nugenie  )
    find_ups_product( libwda  )
    find_ups_product( postgresql  )
    find_ups_product( geant4  )
    find_ups_product( xerces_c v3_0_0 )
    find_ups_product( larevt v1_00_00 )
    find_ups_product( larsim v1_00_00 )
    find_ups_product( marley  )
    find_ups_product( ifdhc  )
    find_ups_product( larreco v1_00_00 )
    find_ups_product( eigen  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite-matrix/BUILDTYPE/prof/QUAL/s70-c2/label1/swarm/label2/SLF7/build/libxml2/v2_9_5/Linux64bit+3.10-2.17-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWMSG )
      cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWREG )
      cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWALG )
      cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWINT )
      cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWGHEP )
      cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWNUM )
      cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWUTL )
      cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWPARDAT )
      cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWEG )
      cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFWNTP )
      cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHXSIG )
      cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHPDF )
      cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHNUCLST )
      cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHCMN )
      cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHDCY )
      cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHHADTRANSP )
      cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHHADNZ )
      cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHDEEX )
      cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHAMNGXS )
      cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHAMNGEG )
      cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHCHMXS )
      cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHCOHXS )
      cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHCOHEG )
      cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHDISXS )
      cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHDISEG )
      cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHDFRCXS )
      cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHDFRCEG )
      cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHGLWRESXS )
      cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHGLWRESEG )
      cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHIBDXS )
      cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHIBDEG )
      cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHMNUCXS )
      cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHMNUCEG )
      cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHMEL )
      cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHNUELXS )
      cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHNUELEG )
      cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHQELXS )
      cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHQELEG )
      cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHRESXS )
      cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHRESEG )
      cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHSTRXS )
      cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHSTREG )
      cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPHNDCY )
      cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GTLGEO )
      cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GTLFLX )
      cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GTLREW )
      cet_find_library( GTLREW NAMES GTlRew PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GSL )
      cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_TREE )
      cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_GENIE )
      cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH )
      cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH_SERVICE )
      cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY )
      cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY_ROOT )
      cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
      set( LAREVENTDISPLAY_EVENTDISPLAY_EXPTDRAWERS_ICARUSDRAWER_TOOL $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_ExptDrawers_ICARUSDrawer_tool.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_EXPTDRAWERS_MICROBOONEDRAWER_TOOL $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_ExptDrawers_MicroBooNEDrawer_tool.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_EXPTDRAWERS_STANDARDDRAWER_TOOL $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_ExptDrawers_StandardDrawer_tool.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_GRAPHCLUSTER_MODULE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_GraphCluster_module.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_EVD_MODULE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_EVD_module.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_ANALYSISDRAWINGOPTIONS_SERVICE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_AnalysisDrawingOptions_service.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_COLORDRAWINGOPTIONS_SERVICE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_ColorDrawingOptions_service.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_EVDLAYOUTOPTIONS_SERVICE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_EvdLayoutOptions_service.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_INFOTRANSFER_SERVICE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_InfoTransfer_service.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_RAWDRAWINGOPTIONS_SERVICE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_RawDrawingOptions_service.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_RECODRAWINGOPTIONS_SERVICE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_RecoDrawingOptions_service.so )
      set( LAREVENTDISPLAY_EVENTDISPLAY_SIMULATIONDRAWINGOPTIONS_SERVICE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_EventDisplay_SimulationDrawingOptions_service.so )
      set( LAREVENTDISPLAY_LANDED_LANDED_MODULE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_Landed_Landed_module.so )
      set( LAREVENTDISPLAY_LANDED_LANDEDSOCKET_SERVICE $ENV{LAREVENTDISPLAY_LIB}/liblareventdisplay_Landed_LandedSocket_service.so )
      include_directories ( $ENV{LAREVENTDISPLAY_INC} )

check_required_components(lareventdisplay)

